org.apache.http.protocol

## Interface HttpRequestHandlerMapper

- All Known Implementing Classes:
    UriHttpRequestHandlerMapper

      public interface HttpRequestHandlerMapper

  HttpRequestHandlerMapper can be used to resolve an instance of `HttpRequestHandler` matching a particular `HttpRequest`. Usually the mapped request handler will be used to process the request.
  Since:
    4.3

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpRequestHandler` | `lookup(HttpRequest request)` Looks up a handler matching the given request.

- - ### Method Detail

    - #### lookup

          HttpRequestHandler lookup(HttpRequest request)

      Looks up a handler matching the given request.
      Parameters:
        `request` - the request to map to a handler
      Returns:
        HTTP request handler or `null` if no match is found.

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.